Loading...
Searching...
No Matches
counting_cap_alloc File Reference

Reference-counting capability allocator. More...

`#include <l4/sys/task>`
`#include <l4/sys/assert.h>`
`#include <l4/re/consts>`
Include dependency graph for counting_cap_alloc:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | L4Re::Util::Counter< COUNTER >
| Counter for Counting_cap_alloc with variable data width. More...
struct | L4Re::Util::Counter_atomic< COUNTER >
| Thread safe version of counter for Counting_cap_alloc. More...
class | L4Re::Util::Counting_cap_alloc< COUNTERTYPE, Dbg >
| Internal reference-counting cap allocator. More...

## Namespaces

namespace | L4Re
| L4Re C++ Interfaces.
namespace | L4Re::Util
| Documentation of the L4 Runtime Environment utility functionality in C++.

## Detailed Description

Reference-counting capability allocator.

Definition in file counting_cap_alloc.